.\"
.\" Copyright (c) 2004 Gordon D. Carrie. All rights reserved.
.\" 
.\" Licensed under the Open Software License version 2.1
.\" 
.\" Please address questions and feedback to user0@tkgeomap.org
.\" 
.\" @(#) $Id: tkgeomap_procs.n,v 1.5 2004/09/22 21:28:12 tkgeomap Exp $
.\"
.TH tkgeomap n 2 Tk "Tcl Extensions tkgeomap_procs"
.SH NAME
xytolatlon, latlontoxy \- supplementary procedures for geomap_lnarr and geomap_place
items.
.SH VERSION
2
.SH SYNOPSIS
.nf
\fBpackage require tkgeomap_procs ?2?\fR
\fBgeomap::xytolatlon\fR \fIcvs tagOrId x y\fR
\fBgeomap::latlontoxy\fR \fIcvs tagOrId {lat lon}\fR
.fi
.SH DESCRIPTION
The \fBtkgeomap_procs\fR package provides procedures to use with
\fBgeomap_lnarr\fR and \fBgeomap_place\fR canvas items.  See the
\fBtkgeomap\fR (n) man page for information about these items.
.SH COMMANDS
.TP
\fBgeomap::xytolatlon\fR \fIcvs tagOrId x y\fR
This procedure returns the {lat lon} at the point with canvas coordinates
\fIx y\fR using the reference point, projection, scale and rotation from the
item given by \fItagOrId\fR in canvas \fIcvs\fR.  The item must be a
\fBgeomap_lnarr\fR or \fBgeomap_place\fR item.
.TP
\fBgeomap::latlontoxy\fR \fIcvs tagOrId {lat lon}\fR
This procedure returns the canvas coordinates of the point at geographic
location \fIlat lon\fR using the reference point, projection, scale and rotation
from the item given by \fItagOrId\fR in canvas \fIcvs\fR.  The item must be a
\fBgeomap_lnarr\fR or \fBgeomap_place\fR item.
.SH FILES
These procedures are part of the \fBtkgeomap_procs\fR
package, which is defined in file \fBtkgeomap_procs.tcl\fR of the tkgeomap
installation.
.SH AUTHOR
Gordon Carrie <user0@tkgeomap.org>
